/Users/bernard/b20/bsoft/src/rwimg/rwSPE.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwSPE.cpp - Functions for reading and writing SPE CCD files.

SYNOPSIS

#include 'rwSPE.h'
#include 'file_util.h'
#include 'utilities.h'

  Functions
int readSPE (Bimage *p, int readdata, int img_select)
Reading a SPE image file format.
int writeSPE (Bimage *p)
Writing a SPE image file format.

  Variables
int verbose
char * month []

Detailed Description

Functions for reading and writing SPE CCD files.

Author:
    Bernard Heymann

Date:
    Created: 20081105

    Modified: 20120409

Definition in file rwSPE.cpp.

Function Documentation

  int readSPE (Bimage * p, int readdata, int img_select)

Reading a SPE image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int error code (<0 means failure). A Princeton Instruments CCD image file format. Header size: 4100 bytes (fixed). File format extension: .SPE. Byte order determination: data type field. Data types: 0 = float, 1 = int, 2 = short, 3 = unsigned short, 4 = string/char, 5 = double, 6 = char, 7 = unsigned char/byte.

Definition at line 33 of file rwSPE.cpp.

  int writeSPE (Bimage * p)

Writing a SPE image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A Princeton Instruments CCD image file format.

Definition at line 119 of file rwSPE.cpp.

Variable Documentation

  char* month[]

Definition at line 55 of file rwimg.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.